import request from '@/utils/request'

// 查询base_data_year列表
export function listBase_data_year(query) {
  return request({
    url: '/base_data_year/base_data_year/list',
    method: 'get',
    params: query
  })
}

// 查询base_data_year详细
export function getBase_data_year(id) {
  return request({
    url: '/base_data_year/base_data_year/' + id,
    method: 'get'
  })
}

// 新增base_data_year
export function addBase_data_year(data) {
  return request({
    url: '/base_data_year/base_data_year',
    method: 'post',
    data: data
  })
}

// 修改base_data_year
export function updateBase_data_year(data) {
  return request({
    url: '/base_data_year/base_data_year',
    method: 'put',
    data: data
  })
}

// 删除base_data_year
export function delBase_data_year(id) {
  return request({
    url: '/base_data_year/base_data_year/' + id,
    method: 'delete'
  })
}
